Bug 133208 - Scanlines after scrolling skia Raster/Vulkan
Summary: Scanlines after scrolling skia Raster/Vulkan
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Skia
  Show dependency treegraph
 
Reported: 2020-05-20 21:19 UTC by Telesto
Modified: 2021-03-16 13:32 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (700.16 KB, application/vnd.oasis.opendocument.text)
2020-05-20 21:19 UTC, Telesto
Details
Screenshot (506.23 KB, image/png)
2020-05-20 21:20 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-05-20 21:19:33 UTC
Description:
Scanlines after scrolling skia Raster/Vulkan

Steps to Reproduce:
1. Open the attached file
2. Scroll down

Lines appear -> go away after changing focus..

Actual Results:
Scanlines.. 

Expected Results:
No lines


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha1+ (x64)
Build ID: 442c7b95e2ee94b66a9854d0cb22f8ecb76532c6
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Vulkan; VCL: win; 
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-05-20 21:19:51 UTC
Created attachment 161054 [details]
Example file
Comment 2 Telesto 2020-05-20 21:20:09 UTC
Created attachment 161055 [details]
Screenshot
Comment 3 V Stuart Foote 2020-05-20 21:42:57 UTC
Confirmed, noticeable off by one framing when scrolling.

Version: 7.0.0.0.alpha1+ (x64)
Build ID: 442c7b95e2ee94b66a9854d0cb22f8ecb76532c6
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: Skia/Raster; VCL: win; 
Locale: en-US (en_US); UI: en-US
Calc: CL

Get similar with Skia/Vulka, but it heals immediately.

RenderMethod: vulkan
Vendor: 0x10de
Device: 0xffe
API: 1.1.119
Driver: 442.296.0
DeviceType: discrete
DeviceName: Quadro K2000
Blacklisted: no
Comment 4 V Stuart Foote 2020-05-20 21:52:50 UTC
Scroll direction seems to affect it. 

Scrolling down, so images/graphics move up from bottom of app frame leaves the gaps.

Scrolling up, so images/graphics move down from top of app frame do not leave gaps.

No gaps appear with default GDI rendering.
Comment 5 Commit Notification 2020-05-22 20:11:09 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7f264f4beec931833b390ae1bbb93b2e22b4ad8a

always use region band in Skia's setClipRegion (tdf#133208)

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.